Subject: [Sipping] [Technical Errata Reported] RFC4235 (2861)

From: RFC Errata System <[email-masked]>
Date: Wed, 13 Jul 2011 22:23:38 -0700 (PDT)

The following errata report has been submitted for RFC4235,
"An INVITE-Initiated Dialog Event Package for the Session Initiation Protocol (SIP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4235&eid=2861

--------------------------------------
Type: Technical
Reported by: Martin Thomson <[email-masked]>

Section: 4.4

Original Text
-------------
  <xs:element name="state">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">

Corrected Text
--------------
  <xs:element name="state">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="tns:dialog-state">
...

  <xs:simpleType name="dialog-state">
    <xs:restriction base="xs:string">
      <xs:enumeration value="trying"/>
      <xs:enumeration value="proceeding"/>
      <xs:enumeration value="early"/>
      <xs:enumeration value="confirmed"/>
      <xs:enumeration value="terminated"/>
    </xs:restriction>
  </xs:simpleType>

Notes
-----
The RFC is rather coy about defining the exact syntax for the state element.  The schema permits any content.  It's fairly clear from the description in Section 3.7.1 what the permitted values are, but the case of the values is never explicitly stated.  The text and diagram use title case consistently, and all the examples use lower case exclusively.

This is bad for interoperability.  In practice, this is probably moot, since most implementations will use the lowercase form.  Arguably, it would be valid to produce a value of "Early".  An implementation seeking maximum interoperability would have to use case insensitive comparison to avoid a misinterpretation of the value.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4235 (draft-ietf-sipping-dialog-package-06)
--------------------------------------
Title               : An INVITE-Initiated Dialog Event Package for the Session Initiation Protocol (SIP)
Publication Date    : November 2005
Author(s)           : J. Rosenberg, H. Schulzrinne, R. Mahy, Ed.
Category            : PROPOSED STANDARD
Source              : Session Initiation Proposal Investigation
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG